i2o_event_register
Prev | I2O message devices | Next

## Name

i2o_event_register — Turn on/off event notification for a I2O device

## Synopsis

`int i2o_event_register (` | struct i2o_device * | dev,
| struct i2o_driver * | drv,
| int | tcntxt,
| u32 | evt_mask`)`;

## Arguments

`dev`

  I2O device which should receive the event registration request

`drv`

  driver which want to get notified

`tcntxt`

  transaction context to use with this notifier

`evt_mask`

  mask of events

## Description

Create and posts an event registration message to the task. No reply is waited for, or expected. If you do not want further notifications, call the i2o_event_register again with a evt_mask of 0.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_status_get | Home | i2o_iop_quiesce